Skocz do zawartości
  • 0

Optymalizacja skryptu na nową wersję


Rufson

Pytanie

Znalazłem tutaj super skrypt sprzed 4 lat na case opening. Niestety na nowej wersji skrypt już nie działa, a ja jestem w to zielony i nie wiem jak i co tam zmienic zeby skrypt zaczął działać. Czy znajdzie się ktoś kto będzie w stanie mi pomóc?

 

Edytowane przez xNightPower_
Nieaktywny

Kod umieszczam w serwisie code.skript.pl (nie daje się kodów w spoilery).

Krótkie w forumowym code (znaczek <> w tabeli formatowania).
Długie na https://code.skript.pl.

Odnośnik do komentarza
Udostępnij na innych stronach

Rekomendowane odpowiedzi

  • 0
47 minut temu, Rufson napisał:

Znalazłem tutaj super skrypt sprzed 4 lat na case opening. Niestety na nowej wersji skrypt już nie działa, a ja jestem w to zielony i nie wiem jak i co tam zmienic zeby skrypt zaczął działać. Czy znajdzie się ktoś kto będzie w stanie mi pomóc?

Co konkretnie nie działa? Podaj listę błędów.

Podaj również:

  • wymagania tego skryptu
  • wersję serwera
  • silnik serwera
  • wersję Skripta
  • listę dodatków do Skripta wraz z wersjami
Odnośnik do komentarza
Udostępnij na innych stronach

  • 0

Tak jak powiedziałem - jestem kompletnie zielony:( Nigdy nie miałem do czynienia z pluginami/skryptami, teraz w okresie świątecznym założyłem serwer na craftserve z kuzynami i uznaliśmy że skrzynki byłyby fajnym urozmaiceniem. Najnowsza wersja minecraft'a. Jak mogę sprawdzić resztę by dać odpowiedź na pozostałe pytania?

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
16 minut temu, Rufson napisał:

Tak jak powiedziałem - jestem kompletnie zielony:( Nigdy nie miałem do czynienia z pluginami/skryptami, teraz w okresie świątecznym założyłem serwer na craftserve z kuzynami i uznaliśmy że skrzynki byłyby fajnym urozmaiceniem. Najnowsza wersja minecraft'a. Jak mogę sprawdzić resztę by dać odpowiedź na pozostałe pytania?

Poprzez listę błędów miałem na myśli wpisanie komendy /sk reload [nazwa skryptu].

Wersja serwera to wersja Minecrafta, na której postawiony jest serwer, np. 1.8.8 lub 1.12.2.

Poprzez silnik serwera mam na myśli Bukkit lub Spigot lub PaperSpigot (Paper) czy też inne typu Tuinity czy też Purpur. Powinieneś móc to zobaczyć w konfiguracji tego serwera.

Wersję Skripta sprawdzisz poprzez /ver Skript.

Lista dodatków do Skripta to są wszystkie te pluginy, które rozszerzają możliwości Skripta (np. SkQuery, Skellett, skript-mirror, WildSkript, SkRayFall itd.).

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0

spigot-1.16.4.

Teoretycznie mam Skript i SkQuery, ale gdy wpisuje ./sk reload czy tez ./ver skript konsola odpowiada Unknown command. Type "/help" for help.. Moze to właśnie tam leży problem? Nie działają dodatki?

Edytowane przez xNightPower_
Nieaktywny

Naprawiam formatowanie na ciemnym stylu.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
52 minuty temu, Rufson napisał:

spigot-1.16.4.

Teoretycznie mam Skript i SkQuery, ale gdy wpisuje ./sk reload czy tez ./ver skript konsola odpowiada Unknown command. Type "/help" for help.. Moze to właśnie tam leży problem? Nie działają dodatki?

To jest niemożliwe. Spróbuj wpisać poprzez konsolę.

Edytowane przez xNightPower_
Nieaktywny

Naprawiam cytat.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0

Dowód na posiadanie tych 2 pluginów:

Zarejestruj się lub zaloguj, aby zobaczyć ukrytą treść!

Konsola po wpisaniu komend:

Zarejestruj się lub zaloguj, aby zobaczyć ukrytą treść!

 

51 minut temu, CoFFeIN04 napisał:

Z używasz nieodpowiedniej wersji Skript - pobierz najnowszą z Github'a.

Zarejestruj się lub zaloguj, aby zobaczyć ukrytą treść!

Stąd pobierałem aktualnie posiadany w plikach plugin

Nieaktywny

Łączę posty.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
Teraz, Rufson napisał:

Dowód na posiadanie tych 2 pluginów:

Zarejestruj się lub zaloguj, aby zobaczyć ukrytą treść!

Konsola po wpisaniu komend:

Zarejestruj się lub zaloguj, aby zobaczyć ukrytą treść!

W ogóle na serwerze nie posiadasz komendy /ver? A co z /about?

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
To po wpisaniu about.
 
This server is running CraftBukkit version git-Spigot-628435a-878b437 (MC: 1.16.4) (Implementing API version 1.16.4-R0.1-SNAPSHOT)
[16:04:24] [Server thread/INFO]: Checking version, please wait...
[16:04:24] [Thread-102/INFO]: You are running the latest version
 
sk dalej nie działa
Edytowane przez xNightPower_
Nieaktywny

Naprawiam formatowanie na ciemnym stylu.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
40 minut temu, Rufson napisał:
To po wpisaniu about.
 
This server is running CraftBukkit version git-Spigot-628435a-878b437 (MC: 1.16.4) (Implementing API version 1.16.4-R0.1-SNAPSHOT)
[16:04:24] [Server thread/INFO]: Checking version, please wait...
[16:04:24] [Thread-102/INFO]: You are running the latest version
 
sk dalej nie działa

Wpisz /sk reload [nazwa skryptu].

Edytowane przez xNightPower_
Nieaktywny

Naprawiam cytat.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
41 minut temu, Kormic napisał:

Wpisz /sk reload [nazwa skryptu].

Jak sprawdzić nazwę skryptu?  Jesli w plikach nazywa się K9Jf3Vro.sk tak mam wpisać?

 

40 minut temu, CoFFeIN04 napisał:

Po zmianie silnika zrestartowałeś serwer (wyłączyłeś i włączyłeś)?

Tak, kilkukrotnie

Edytowane przez xNightPower_
Nieaktywny

Naprawiam formatowanie na ciemnym stylu, łączę posty.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
39 minut temu, Rufson napisał:

Jak sprawdzić nazwę skryptu?  Jesli w plikach nazywa się K9Jf3Vro.sk tak mam wpisać?

Tak, dokładnie. Chociaż nie ukrywam, że dziwna nazwa.

Edytowane przez xNightPower_
Nieaktywny

Naprawiam cytat.

Odnośnik do komentarza
Udostępnij na innych stronach

Nieaktywny
Ten temat został zamknięty. Brak możliwości dodania odpowiedzi.
  • Ostatnio przeglądający   0 użytkowników

    • Brak zarejestrowanych użytkowników przeglądających tę stronę.
×
×
  • Dodaj nową pozycję...